VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::hardware::EthernetTypes::MacAddressType Class Reference

The `Ethernet.MacAddressType` enumerated type defines the valid MAC address origins for a virtual Ethernet adapter. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, MANUAL, GENERATED, ASSIGNED }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static MacAddressType[] | GetValues ()
static MacAddressType | ValueOf (string name)
## Static Public Attributes
static readonly MacAddressType | MANUAL = new MacAddressType("MANUAL", Values.MANUAL)
| MAC address is assigned statically.
static readonly MacAddressType | GENERATED = new MacAddressType("GENERATED", Values.GENERATED)
| MAC address is generated automatically.
static readonly MacAddressType | ASSIGNED = new MacAddressType("ASSIGNED", Values.ASSIGNED)
| MAC address is assigned by vCenter Server.

## Detailed Description

The `Ethernet.MacAddressType` enumerated type defines the valid MAC address origins for a virtual Ethernet adapter.

## Member Enumeration Documentation

enum vmware::vcenter::vm::hardware::EthernetTypes::MacAddressType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  MANUAL | MAC address is assigned statically.
  GENERATED | MAC address is generated automatically.
  ASSIGNED | MAC address is assigned by vCenter Server.

## Member Function Documentation

Values vmware::vcenter::vm::hardware::EthernetTypes::MacAddressType::GetEnumValue | ( |  | ) | `[inline]`

static MacAddressType [] vmware::vcenter::vm::hardware::EthernetTypes::MacAddressType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::hardware::EthernetTypes::MacAddressType::IsUnknown | ( |  | ) | `[inline]`

static MacAddressType vmware::vcenter::vm::hardware::EthernetTypes::MacAddressType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly MacAddressType vmware::vcenter::vm::hardware::EthernetTypes::MacAddressType::ASSIGNED = new MacAddressType("ASSIGNED", Values.ASSIGNED)`[static]`

MAC address is assigned by vCenter Server.

readonly MacAddressType vmware::vcenter::vm::hardware::EthernetTypes::MacAddressType::GENERATED = new MacAddressType("GENERATED", Values.GENERATED)`[static]`

MAC address is generated automatically.

readonly MacAddressType vmware::vcenter::vm::hardware::EthernetTypes::MacAddressType::MANUAL = new MacAddressType("MANUAL", Values.MANUAL)`[static]`

MAC address is assigned statically.

The documentation for this class was generated from the following file:

- EthernetTypes.cs